### Enumeration

# EDataServer ClientError

since: 3.2

#### Declaration

    enum EDataServer.ClientError

#### Description [src]

Error codes for `EClient` operations.

Available since: 3.2

#### Members

`E_CLIENT_ERROR_INVALID_ARG`

  Invalid argument was used.

  - Value: `0`
  - Available since: 3.2
`E_CLIENT_ERROR_BUSY`

  The client is busy.

  - Value: `1`
  - Available since: 3.2
`E_CLIENT_ERROR_SOURCE_NOT_LOADED`

  The source is not loaded.

  - Value: `2`
  - Available since: 3.2
`E_CLIENT_ERROR_SOURCE_ALREADY_LOADED`

  The source is already loaded.

  - Value: `3`
  - Available since: 3.2
`E_CLIENT_ERROR_AUTHENTICATION_FAILED`

  Authentication failed.

  - Value: `4`
  - Available since: 3.2
`E_CLIENT_ERROR_AUTHENTICATION_REQUIRED`

  Authentication required.

  - Value: `5`
  - Available since: 3.2
`E_CLIENT_ERROR_REPOSITORY_OFFLINE`

  The repository (client) is offline.

  - Value: `6`
  - Available since: 3.2
`E_CLIENT_ERROR_OFFLINE_UNAVAILABLE`

  The operation is unavailable in offline mode.

  - Value: `7`
  - Available since: 3.2
`E_CLIENT_ERROR_PERMISSION_DENIED`

  Permission denied for the operation.

  - Value: `8`
  - Available since: 3.2
`E_CLIENT_ERROR_CANCELLED`

  The operation was cancelled.

  - Value: `9`
  - Available since: 3.2
`E_CLIENT_ERROR_COULD_NOT_CANCEL`

  The operation cannot be cancelled.

  - Value: `10`
  - Available since: 3.2
`E_CLIENT_ERROR_NOT_SUPPORTED`

  The operation is not supported.

  - Value: `11`
  - Available since: 3.2
`E_CLIENT_ERROR_TLS_NOT_AVAILABLE`

  TLS is not available.

  - Value: `12`
  - Available since: 3.2
`E_CLIENT_ERROR_UNSUPPORTED_AUTHENTICATION_METHOD`

  Requested authentication method is not supported.

  - Value: `13`
  - Available since: 3.2
`E_CLIENT_ERROR_SEARCH_SIZE_LIMIT_EXCEEDED`

  Search size limit exceeded.

  - Value: `14`
  - Available since: 3.2
`E_CLIENT_ERROR_SEARCH_TIME_LIMIT_EXCEEDED`

  Search time limit exceeded.

  - Value: `15`
  - Available since: 3.2
`E_CLIENT_ERROR_INVALID_QUERY`

  The query was invalid.

  - Value: `16`
  - Available since: 3.2
`E_CLIENT_ERROR_QUERY_REFUSED`

  The query was refused by the server side.

  - Value: `17`
  - Available since: 3.2
`E_CLIENT_ERROR_DBUS_ERROR`

  A D-Bus error occurred.

  - Value: `18`
  - Available since: 3.2
`E_CLIENT_ERROR_OTHER_ERROR`

  Other error.

  - Value: `19`
  - Available since: 3.2
`E_CLIENT_ERROR_NOT_OPENED`

  The client is not opened.

  - Value: `20`
  - Available since: 3.2
`E_CLIENT_ERROR_OUT_OF_SYNC`

  The client is out of sync with the server.

  - Value: `21`
  - Available since: 3.2